<?php

namespace Drupal\something_went_wrong;

/**
 * Interface Something went wrong Service Interface.
 *
 * @package Drupal\something_went_wrong
 */
interface SomethingWentWrongServiceInterface {

  /**
   * Builds message.
   *
   * @param \Throwable $exception
   *   The exception.
   * @param bool $html
   *   The plain text version or HTML.
   *
   * @return string
   *   The message.
   */
  public function buildMessage(\Throwable $exception, bool $html = FALSE): string;

  /**
   * Sends message to Slack.
   *
   * @param string $message
   *   The message.
   */
  public function sendMessageToSlack(string $message);

  /**
   * Sends message to mail.
   *
   * @param string $message
   *   The message.
   */
  public function sendMessageToMail(string $message);

}
